Account Settings

Get account settings

GET
/v3/aftermarket/customers/{customerId}/accountSettings

Get all the default account settings for the user.

Authorization

sso-key
headerAuthorization<token>

Standard GoDaddy SSO header authorization. Format: sso-key YOUR_API_KEY:YOUR_API_SECRET

Path Parameters

customerId*string

An identifier for a customer. A special alias 'my' is supported when accessing the authenticated customer's own data.

Match^[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}$|^MY$|^my$
Default"my"

Header Parameters

X-Request-Id?string

A unique identifier for the request

Response Body

Get the account settings.

application/json
  1. response

Account settings for the user

intakeStyle?string

Intake style option. The possible values are representative of values provided in Afternic Website.

Default"BUYNOW"
Value in"BUYNOW""PRICE_FORM""CUSTOM_LANDER"
landingPage?string

Landing page option. The possible values are representative of values provided in Afternic Website.

Default"PARKING_TYPE"
Value in"PARKING_TYPE""SALES_TYPE"
leasingEnabled?boolean
Defaultfalse
maxLeasePeriod?integer

The maximum number of payments desired. The monthly payment is calculated from this value and the buynowPrice.

Range2 <= value <= 60
Default2
showLanderBuynowOption?boolean

This value specifies if the domain has BUYNOW as an enabled sales method on the custom lander.

Defaulttrue
showLanderLeaseToOwnOption?boolean

This value specifies if the domain has lease-to-own as an enabled sales method on the custom lander.

Defaulttrue
showLanderMakeOfferOption?boolean

This value specifies if the domain has make offer as an enabled sales method on the custom lander.

Defaultfalse
selfBrokerEnabled?boolean

This value specifies if the account has self broker enabled.

Defaultfalse
Example Request
curl -X GET 'https://api.afternic.com/v3/aftermarket/customers/my/accountSettings'
Example Response
{  "intakeStyle": "PRICE_FORM",  "landingPage": "SALES_TYPE",  "leasingEnabled": false,  "maxLeasePeriod": 36,  "showLanderBuynowOption": false,  "showLanderLeaseToOwnOption": false,  "showLanderMakeOfferOption": false,  "selfBrokerEnabled": false}